/clients
This endpoint allows you to get all Clients.
The query parameters described below are to be used with the JQL.
getClients
| Name | Type | Description |
|---|---|---|
code
|
string |
Filter results by given property value |
name
|
string |
Filter results by given property value |
client_id
|
integer |
Filter results by given property value |
nif
|
string |
Filter results by given property value |
sort
|
string |
Field to sort by. Add `-` to sort descending. Supported values: - `name` - `code` - `nif` - `location` (sorts by city if present, else by country) Examples: - `order=name` (ascending) - `order=location-` (descending) |
data
array<object>
id
string
required
read-only
ID of the Client
Example: 123
type
string
required
read-only
Model type
client
Example: client
attributes
object
required
client_id
integer
ID of the Client
Example: 123
client_uuid
string (uuid)
UUID of the Client
Example: e632afe8-a1bf-4702-b5bd-b1163861ba51
name
string
Client Name
Example: John Doe
code
string | null
Client Code
Example: JD
nif
string | null
NIF/ VAT Number of the Client
Example: 1234566789
postal_code
string | null
Postal Code of the Client
Example: 1234-567
city
string | null
City of the Client
Example: Lisbon
observations
string | null
Additional information
Example: abc
address
string | null
Address of the Client
Example: abc
country
string | null
Country of the Client
Example: PT
created_at
string (date-time)
read-only
The datetime of the creation of the Client
Example: 2020-12-03T12:45:00
updated_at
string (date-time)
read-only
The datetime of the last update of the Client
Example: 2020-12-03T12:45:00
has_handshake
boolean
Indicates if this Client is "connected" to work on Infraspeak Network.
Example: 1
my_company
boolean
Indicates whether it is the entity's default client
Example: 1
relationships
object
The relationships of the Client (Only present when expanded in the request)
buildings
object
The Buildings associated to the Client
contacts
object
The Contacts associated to the Client
files
object
The Files associated to the Client
profilePicture
object
The profile picture of the the Client
operators
object
The Operators associated to the Client
handshake
object
The Handshake associated to the Client
included
array<union>
List of relationships to be included
id
string
read-only
ID of the Supplier
Example: 1
type
string
read-only
Model type
entity
attributes
object
entity_id
integer
name
string
email
string
site
string
phone
string
cellphone
string
address
string
nib
string
nif
string
report_email
string
language
string
currency
string
license
string
ASSISTANCE
CHURNED
COMPLEX
CSENTITY
DISTRIBUTED
HOTEL
NONE
PARTNER
PLACECHECKUP
profile_picture
string
entity_uuid
string
vat_rate
number
colour
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/clients' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/clients', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/clients');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/clients',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()